Check the package that you have the file set for. It should be:

package mymod._01_ChapterOne_ForgeYourSword;

Make sure to check on your imports as well. You should have these imports:

import mymod.Main;
import mymod.CodakidFiles.Codakid;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.ItemSword;
import net.minecraft.potion.Potion;
import net.minecraftforge.fml.common.registry.GameRegistry;

Are your file name, class name, and constructor all spelled the same way? 

Do you have the correct extends? It should be extends ItemSword as shown in the picture above.

Did this answer your question?